/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package StockManagement;

import Model.StockMaterial;
import java.util.List;
import javax.swing.table.AbstractTableModel;
import service.StockMaterialService;

/**
 *
 * @author Thanya
 */
public class StockMtrPanel extends javax.swing.JPanel {

    private final StockMaterialService StockMaterialService;
    private final List<StockMaterial> list;

    /**
     * Creates new form StockMaterialPanel
     */
    public StockMtrPanel() {
        initComponents();

        StockMaterialService = new StockMaterialService();

        list = StockMaterialService.getStockMaterials();
        tblStockMtr.setModel(new AbstractTableModel() {
            String[] columnNames = {"No.", "Name"};

            @Override
            public String getColumnName(int column) {
                return columnNames[column];
            }

            @Override
            public int getRowCount() {
                return list.size();
            }

            @Override
            public int getColumnCount() {
                return 2;
            }

            @Override
            public Object getValueAt(int rowIndex, int columnIndex) {
                StockMaterial stockMtr = list.get(rowIndex);
                switch (columnIndex) {
                    case 0:
                        return stockMtr.getId();
                    case 1:
                        return stockMtr.getName();
                    default:
                        return "Unknown";
                }
            }
        });
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        tblStockMtr = new javax.swing.JTable();

        tblStockMtr.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(tblStockMtr);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 478, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 383, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTable tblStockMtr;
    // End of variables declaration//GEN-END:variables
}
